Package com.pixelmed.convert

# Class TIFFTags

java.lang.Object
com.pixelmed.convert.TIFFTags

public class TIFFTags extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TIFFTags.Description`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACTIVEAREA`
`static final int`
`ANALOGBALANCE`
`static final int`
`ANTIALIASSTRENGTH`
`static final int`
`ARTIST`
`static final int`
`ASSHOTICCPROFILE`
`static final int`
`ASSHOTNEUTRAL`
`static final int`
`ASSHOTPREPROFILEMATRIX`
`static final int`
`ASSHOTWHITEXY`
`static final int`
`BADFAXLINES`
`static final int`
`BASELINEEXPOSURE`
`static final int`
`BASELINENOISE`
`static final int`
`BASELINESHARPNESS`
`static final int`
`BAYERGREENSPLIT`
`static final int`
`BESTQUALITYSCALE`
`static final int`
`BITSPERSAMPLE`
`static final int`
`BLACKLEVEL`
`static final int`
`BLACKLEVELDELTAH`
`static final int`
`BLACKLEVELDELTAV`
`static final int`
`BLACKLEVELREPEATDIM`
`static final int`
`CALIBRATIONILLUMINANT1`
`static final int`
`CALIBRATIONILLUMINANT2`
`static final int`
`CAMERACALIBRATION1`
`static final int`
`CAMERACALIBRATION2`
`static final int`
`CAMERASERIALNUMBER`
`static final int`
`CELLLENGTH`
`static final int`
`CELLWIDTH`
`static final int`
`CFALAYOUT`
`static final int`
`CFAPLANECOLOR`
`static final int`
`CHROMABLURRADIUS`
`static final int`
`CLEANFAXDATA`
`static final int`
`CLIPPATH`
`static final int`
`CODINGMETHODS`
`static final int`
`COLORMAP`
`static final int`
`COLORMATRIX1`
`static final int`
`COLORMATRIX2`
`static final int`
`COLORRESPONSEUNIT`
`static final int`
`COMPRESSION`
`static final int`
`CONSECUTIVEBADFAXLINES`
`static final int`
`COPYRIGHT`
`static final int`
`CURRENTICCPROFILE`
`static final int`
`CURRENTPREPROFILEMATRIX`
`static final int`
`DATATYPE`
`static final int`
`DATETIME`
`static final int`
`DCSHUESHIFTVALUES`
`static final int`
`DECODE`
`static final int`
`DEFAULTCROPORIGIN`
`static final int`
`DEFAULTCROPSIZE`
`static final int`
`DEFAULTSCALE`
`static TIFFTags.Description[]`
`descriptions`
`static final int`
`DNGBACKWARDVERSION`
`static final int`
`DNGPRIVATEDATA`
`static final int`
`DNGVERSION`
`static final int`
`DOCUMENTNAME`
`static final int`
`DOTRANGE`
`static final int`
`EXIFIFD`
`static final int`
`EXTRASAMPLES`
`static final int`
`FAXDCS`
`static final int`
`FAXPROFILE`
`static final int`
`FAXRECVPARAMS`
`static final int`
`FAXRECVTIME`
`static final int`
`FAXSUBADDRESS`
`static final int`
`FEDEX_EDR`
`static final int`
`FILLORDER`
`static final int`
`FRAMECOUNT`
`static final int`
`FREEBYTECOUNTS`
`static final int`
`FREEOFFSETS`
`static final int`
`GLOBALPARAMETERSIFD`
`static final int`
`GPSIFD`
`static final int`
`GRAYRESPONSECURVE`
`static final int`
`GRAYRESPONSEUNIT`
`static final int`
`GROUP3OPTIONS`
`static final int`
`GROUP4OPTIONS`
`static final int`
`HALFTONEHINTS`
`static final int`
`HOSTCOMPUTER`
`static final int`
`ICCPROFILE`
`static final int`
`IMAGEBASECOLOR`
`static final int`
`IMAGEDEPTH`
`static final int`
`IMAGEDESCRIPTION`
`static final int`
`IMAGELAYER`
`static final int`
`IMAGELENGTH`
`static final int`
`IMAGEWIDTH`
`static final int`
`INDEXED`
`static final int`
`INKNAMES`
`static final int`
`INKSET`
`static final int`
`INTEROPERABILITYIFD`
`static final int`
`IT8BITSPEREXTENDEDRUNLENGTH`
`static final int`
`IT8BITSPERRUNLENGTH`
`static final int`
`IT8BKGCOLORINDICATOR`
`static final int`
`IT8BKGCOLORVALUE`
`static final int`
`IT8CMYKEQUIVALENT`
`static final int`
`IT8COLORCHARACTERIZATION`
`static final int`
`IT8COLORSEQUENCE`
`static final int`
`IT8COLORTABLE`
`static final int`
`IT8HCUSAGE`
`static final int`
`IT8HEADER`
`static final int`
`IT8IMAGECOLORINDICATOR`
`static final int`
`IT8IMAGECOLORVALUE`
`static final int`
`IT8PIXELINTENSITYRANGE`
`static final int`
`IT8RASTERPADDING`
`static final int`
`IT8SITE`
`static final int`
`IT8TRANSPARENCYINDICATOR`
`static final int`
`IT8TRAPINDICATOR`
`static final int`
`JBIGOPTIONS`
`static final int`
`JPEGACTABLES`
`static final int`
`JPEGDCTABLES`
`static final int`
`JPEGIFBYTECOUNT`
`static final int`
`JPEGIFOFFSET`
`static final int`
`JPEGLOSSLESSPREDICTORS`
`static final int`
`JPEGPOINTTRANSFORM`
`static final int`
`JPEGPROC`
`static final int`
`JPEGQTABLES`
`static final int`
`JPEGRESTARTINTERVAL`
`static final int`
`JPEGTABLES`
`static final int`
`LENSINFO`
`static final int`
`LINEARIZATIONTABLE`
`static final int`
`LINEARRESPONSELIMIT`
`static final int`
`LOCALIZEDCAMERAMODEL`
`static final int`
`MAKE`
`static final int`
`MAKERNOTESAFETY`
`static final int`
`MASKEDAREAS`
`static final int`
`MATTEING`
`static final int`
`MAXSAMPLEVALUE`
`static final int`
`MINSAMPLEVALUE`
`static final int`
`MODEL`
`static final int`
`MODENUMBER`
`static final int`
`NUMBEROFINKS`
`static final int`
`OPIIMAGEID`
`static final int`
`OPIPROXY`
`static final int`
`ORIENTATION`
`static final int`
`ORIGINALRAWFILEDATA`
`static final int`
`ORIGINALRAWFILENAME`
`static final int`
`OSUBFILETYPE`
`static final int`
`PAGENAME`
`static final int`
`PAGENUMBER`
`static final int`
`PHOTOMETRIC`
`static final int`
`PHOTOSHOP`
`static final int`
`PIXAR_FOVCOT`
`static final int`
`PIXAR_IMAGEFULLLENGTH`
`static final int`
`PIXAR_IMAGEFULLWIDTH`
`static final int`
`PIXAR_MATRIX_WORLDTOCAMERA`
`static final int`
`PIXAR_MATRIX_WORLDTOSCREEN`
`static final int`
`PIXAR_TEXTUREFORMAT`
`static final int`
`PIXAR_WRAPMODES`
`static final int`
`PLANARCONFIG`
`static final int`
`PREDICTOR`
`static final int`
`PRIMARYCHROMATICITIES`
`static final int`
`PROFILETYPE`
`static final int`
`RAWDATAUNIQUEID`
`static final int`
`REDUCTIONMATRIX1`
`static final int`
`REDUCTIONMATRIX2`
`static final int`
`REFERENCEBLACKWHITE`
`static final int`
`REFPTS`
`static final int`
`REGIONAFFINE`
`static final int`
`REGIONTACKPOINT`
`static final int`
`REGIONWARPCORNERS`
`static final int`
`RESOLUTIONUNIT`
`static final int`
`RICHTIFFIPTC`
`static final int`
`ROWSPERSTRIP`
`static final int`
`SAMPLEFORMAT`
`static final int`
`SAMPLESPERPIXEL`
`static final int`
`SHADOWSCALE`
`static final int`
`SMAXSAMPLEVALUE`
`static final int`
`SMINSAMPLEVALUE`
`static final int`
`SOFTWARE`
`static final int`
`STONITS`
`static final int`
`STRIPBYTECOUNTS`
`static final int`
`STRIPOFFSETS`
`static final int`
`STRIPROWCOUNTS`
`static final int`
`SUBFILETYPE`
`static final int`
`SUBIFD`
`static final int`
`T4OPTIONS`
`static final int`
`T6OPTIONS`
`static final int`
`T82OPTIONS`
`static final int`
`TARGETPRINTER`
`static final int`
`THRESHHOLDING`
`static final int`
`TILEBYTECOUNTS`
`static final int`
`TILEDEPTH`
`static final int`
`TILELENGTH`
`static final int`
`TILEOFFSETS`
`static final int`
`TILEWIDTH`
`static final int`
`TRANSFERFUNCTION`
`static final int`
`UNIQUECAMERAMODEL`
`static final int`
`VERSIONYEAR`
`static final int`
`WHITELEVEL`
`static final int`
`WHITEPOINT`
`static final int`
`WRITERSERIALNUMBER`
`static final int`
`XCLIPPATHUNITS`
`static final int`
`XMLPACKET`
`static final int`
`XPOSITION`
`static final int`
`XRESOLUTION`
`static final int`
`YCBCRCOEFFICIENTS`
`static final int`
`YCBCRPOSITIONING`
`static final int`
`YCBCRSUBSAMPLING`
`static final int`
`YCLIPPATHUNITS`
`static final int`
`YPOSITION`
`static final int`
`YRESOLUTION`

## Constructor Summary

Constructors
Constructor
Description
`TIFFTags()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getDescription(int tag)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SUBFILETYPE

public static final int SUBFILETYPE

See Also:
  - Constant Field Values

### OSUBFILETYPE

public static final int OSUBFILETYPE

See Also:
  - Constant Field Values

### IMAGEWIDTH

public static final int IMAGEWIDTH

See Also:
  - Constant Field Values

### IMAGELENGTH

public static final int IMAGELENGTH

See Also:
  - Constant Field Values

### BITSPERSAMPLE

public static final int BITSPERSAMPLE

See Also:
  - Constant Field Values

### COMPRESSION

public static final int COMPRESSION

See Also:
  - Constant Field Values

### PHOTOMETRIC

public static final int PHOTOMETRIC

See Also:
  - Constant Field Values

### THRESHHOLDING

public static final int THRESHHOLDING

See Also:
  - Constant Field Values

### CELLWIDTH

public static final int CELLWIDTH

See Also:
  - Constant Field Values

### CELLLENGTH

public static final int CELLLENGTH

See Also:
  - Constant Field Values

### FILLORDER

public static final int FILLORDER

See Also:
  - Constant Field Values

### DOCUMENTNAME

public static final int DOCUMENTNAME

See Also:
  - Constant Field Values

### IMAGEDESCRIPTION

public static final int IMAGEDESCRIPTION

See Also:
  - Constant Field Values

### MAKE

public static final int MAKE

See Also:
  - Constant Field Values

### MODEL

public static final int MODEL

See Also:
  - Constant Field Values

### STRIPOFFSETS

public static final int STRIPOFFSETS

See Also:
  - Constant Field Values

### ORIENTATION

public static final int ORIENTATION

See Also:
  - Constant Field Values

### SAMPLESPERPIXEL

public static final int SAMPLESPERPIXEL

See Also:
  - Constant Field Values

### ROWSPERSTRIP

public static final int ROWSPERSTRIP

See Also:
  - Constant Field Values

### STRIPBYTECOUNTS

public static final int STRIPBYTECOUNTS

See Also:
  - Constant Field Values

### MINSAMPLEVALUE

public static final int MINSAMPLEVALUE

See Also:
  - Constant Field Values

### MAXSAMPLEVALUE

public static final int MAXSAMPLEVALUE

See Also:
  - Constant Field Values

### XRESOLUTION

public static final int XRESOLUTION

See Also:
  - Constant Field Values

### YRESOLUTION

public static final int YRESOLUTION

See Also:
  - Constant Field Values

### PLANARCONFIG

public static final int PLANARCONFIG

See Also:
  - Constant Field Values

### PAGENAME

public static final int PAGENAME

See Also:
  - Constant Field Values

### XPOSITION

public static final int XPOSITION

See Also:
  - Constant Field Values

### YPOSITION

public static final int YPOSITION

See Also:
  - Constant Field Values

### FREEOFFSETS

public static final int FREEOFFSETS

See Also:
  - Constant Field Values

### FREEBYTECOUNTS

public static final int FREEBYTECOUNTS

See Also:
  - Constant Field Values

### GRAYRESPONSEUNIT

public static final int GRAYRESPONSEUNIT

See Also:
  - Constant Field Values

### GRAYRESPONSECURVE

public static final int GRAYRESPONSECURVE

See Also:
  - Constant Field Values

### GROUP3OPTIONS

public static final int GROUP3OPTIONS

See Also:
  - Constant Field Values

### T4OPTIONS

public static final int T4OPTIONS

See Also:
  - Constant Field Values

### GROUP4OPTIONS

public static final int GROUP4OPTIONS

See Also:
  - Constant Field Values

### T6OPTIONS

public static final int T6OPTIONS

See Also:
  - Constant Field Values

### RESOLUTIONUNIT

public static final int RESOLUTIONUNIT

See Also:
  - Constant Field Values

### PAGENUMBER

public static final int PAGENUMBER

See Also:
  - Constant Field Values

### COLORRESPONSEUNIT

public static final int COLORRESPONSEUNIT

See Also:
  - Constant Field Values

### TRANSFERFUNCTION

public static final int TRANSFERFUNCTION

See Also:
  - Constant Field Values

### SOFTWARE

public static final int SOFTWARE

See Also:
  - Constant Field Values

### DATETIME

public static final int DATETIME

See Also:
  - Constant Field Values

### ARTIST

public static final int ARTIST

See Also:
  - Constant Field Values

### HOSTCOMPUTER

public static final int HOSTCOMPUTER

See Also:
  - Constant Field Values

### PREDICTOR

public static final int PREDICTOR

See Also:
  - Constant Field Values

### WHITEPOINT

public static final int WHITEPOINT

See Also:
  - Constant Field Values

### PRIMARYCHROMATICITIES

public static final int PRIMARYCHROMATICITIES

See Also:
  - Constant Field Values

### COLORMAP

public static final int COLORMAP

See Also:
  - Constant Field Values

### HALFTONEHINTS

public static final int HALFTONEHINTS

See Also:
  - Constant Field Values

### TILEWIDTH

public static final int TILEWIDTH

See Also:
  - Constant Field Values

### TILELENGTH

public static final int TILELENGTH

See Also:
  - Constant Field Values

### TILEOFFSETS

public static final int TILEOFFSETS

See Also:
  - Constant Field Values

### TILEBYTECOUNTS

public static final int TILEBYTECOUNTS

See Also:
  - Constant Field Values

### BADFAXLINES

public static final int BADFAXLINES

See Also:
  - Constant Field Values

### CLEANFAXDATA

public static final int CLEANFAXDATA

See Also:
  - Constant Field Values

### CONSECUTIVEBADFAXLINES

public static final int CONSECUTIVEBADFAXLINES

See Also:
  - Constant Field Values

### SUBIFD

public static final int SUBIFD

See Also:
  - Constant Field Values

### INKSET

public static final int INKSET

See Also:
  - Constant Field Values

### INKNAMES

public static final int INKNAMES

See Also:
  - Constant Field Values

### NUMBEROFINKS

public static final int NUMBEROFINKS

See Also:
  - Constant Field Values

### DOTRANGE

public static final int DOTRANGE

See Also:
  - Constant Field Values

### TARGETPRINTER

public static final int TARGETPRINTER

See Also:
  - Constant Field Values

### EXTRASAMPLES

public static final int EXTRASAMPLES

See Also:
  - Constant Field Values

### SAMPLEFORMAT

public static final int SAMPLEFORMAT

See Also:
  - Constant Field Values

### SMINSAMPLEVALUE

public static final int SMINSAMPLEVALUE

See Also:
  - Constant Field Values

### SMAXSAMPLEVALUE

public static final int SMAXSAMPLEVALUE

See Also:
  - Constant Field Values

### CLIPPATH

public static final int CLIPPATH

See Also:
  - Constant Field Values

### XCLIPPATHUNITS

public static final int XCLIPPATHUNITS

See Also:
  - Constant Field Values

### YCLIPPATHUNITS

public static final int YCLIPPATHUNITS

See Also:
  - Constant Field Values

### INDEXED

public static final int INDEXED

See Also:
  - Constant Field Values

### JPEGTABLES

public static final int JPEGTABLES

See Also:
  - Constant Field Values

### OPIPROXY

public static final int OPIPROXY

See Also:
  - Constant Field Values

### GLOBALPARAMETERSIFD

public static final int GLOBALPARAMETERSIFD

See Also:
  - Constant Field Values

### PROFILETYPE

public static final int PROFILETYPE

See Also:
  - Constant Field Values

### FAXPROFILE

public static final int FAXPROFILE

See Also:
  - Constant Field Values

### CODINGMETHODS

public static final int CODINGMETHODS

See Also:
  - Constant Field Values

### VERSIONYEAR

public static final int VERSIONYEAR

See Also:
  - Constant Field Values

### MODENUMBER

public static final int MODENUMBER

See Also:
  - Constant Field Values

### DECODE

public static final int DECODE

See Also:
  - Constant Field Values

### IMAGEBASECOLOR

public static final int IMAGEBASECOLOR

See Also:
  - Constant Field Values

### T82OPTIONS

public static final int T82OPTIONS

See Also:
  - Constant Field Values

### JPEGPROC

public static final int JPEGPROC

See Also:
  - Constant Field Values

### JPEGIFOFFSET

public static final int JPEGIFOFFSET

See Also:
  - Constant Field Values

### JPEGIFBYTECOUNT

public static final int JPEGIFBYTECOUNT

See Also:
  - Constant Field Values

### JPEGRESTARTINTERVAL

public static final int JPEGRESTARTINTERVAL

See Also:
  - Constant Field Values

### JPEGLOSSLESSPREDICTORS

public static final int JPEGLOSSLESSPREDICTORS

See Also:
  - Constant Field Values

### JPEGPOINTTRANSFORM

public static final int JPEGPOINTTRANSFORM

See Also:
  - Constant Field Values

### JPEGQTABLES

public static final int JPEGQTABLES

See Also:
  - Constant Field Values

### JPEGDCTABLES

public static final int JPEGDCTABLES

See Also:
  - Constant Field Values

### JPEGACTABLES

public static final int JPEGACTABLES

See Also:
  - Constant Field Values

### YCBCRCOEFFICIENTS

public static final int YCBCRCOEFFICIENTS

See Also:
  - Constant Field Values

### YCBCRSUBSAMPLING

public static final int YCBCRSUBSAMPLING

See Also:
  - Constant Field Values

### YCBCRPOSITIONING

public static final int YCBCRPOSITIONING

See Also:
  - Constant Field Values

### REFERENCEBLACKWHITE

public static final int REFERENCEBLACKWHITE

See Also:
  - Constant Field Values

### STRIPROWCOUNTS

public static final int STRIPROWCOUNTS

See Also:
  - Constant Field Values

### XMLPACKET

public static final int XMLPACKET

See Also:
  - Constant Field Values

### OPIIMAGEID

public static final int OPIIMAGEID

See Also:
  - Constant Field Values

### REFPTS

public static final int REFPTS

See Also:
  - Constant Field Values

### REGIONTACKPOINT

public static final int REGIONTACKPOINT

See Also:
  - Constant Field Values

### REGIONWARPCORNERS

public static final int REGIONWARPCORNERS

See Also:
  - Constant Field Values

### REGIONAFFINE

public static final int REGIONAFFINE

See Also:
  - Constant Field Values

### MATTEING

public static final int MATTEING

See Also:
  - Constant Field Values

### DATATYPE

public static final int DATATYPE

See Also:
  - Constant Field Values

### IMAGEDEPTH

public static final int IMAGEDEPTH

See Also:
  - Constant Field Values

### TILEDEPTH

public static final int TILEDEPTH

See Also:
  - Constant Field Values

### PIXAR_IMAGEFULLWIDTH

public static final int PIXAR_IMAGEFULLWIDTH

See Also:
  - Constant Field Values

### PIXAR_IMAGEFULLLENGTH

public static final int PIXAR_IMAGEFULLLENGTH

See Also:
  - Constant Field Values

### PIXAR_TEXTUREFORMAT

public static final int PIXAR_TEXTUREFORMAT

See Also:
  - Constant Field Values

### PIXAR_WRAPMODES

public static final int PIXAR_WRAPMODES

See Also:
  - Constant Field Values

### PIXAR_FOVCOT

public static final int PIXAR_FOVCOT

See Also:
  - Constant Field Values

### PIXAR_MATRIX_WORLDTOSCREEN

public static final int PIXAR_MATRIX_WORLDTOSCREEN

See Also:
  - Constant Field Values

### PIXAR_MATRIX_WORLDTOCAMERA

public static final int PIXAR_MATRIX_WORLDTOCAMERA

See Also:
  - Constant Field Values

### WRITERSERIALNUMBER

public static final int WRITERSERIALNUMBER

See Also:
  - Constant Field Values

### COPYRIGHT

public static final int COPYRIGHT

See Also:
  - Constant Field Values

### RICHTIFFIPTC

public static final int RICHTIFFIPTC

See Also:
  - Constant Field Values

### IT8SITE

public static final int IT8SITE

See Also:
  - Constant Field Values

### IT8COLORSEQUENCE

public static final int IT8COLORSEQUENCE

See Also:
  - Constant Field Values

### IT8HEADER

public static final int IT8HEADER

See Also:
  - Constant Field Values

### IT8RASTERPADDING

public static final int IT8RASTERPADDING

See Also:
  - Constant Field Values

### IT8BITSPERRUNLENGTH

public static final int IT8BITSPERRUNLENGTH

See Also:
  - Constant Field Values

### IT8BITSPEREXTENDEDRUNLENGTH

public static final int IT8BITSPEREXTENDEDRUNLENGTH

See Also:
  - Constant Field Values

### IT8COLORTABLE

public static final int IT8COLORTABLE

See Also:
  - Constant Field Values

### IT8IMAGECOLORINDICATOR

public static final int IT8IMAGECOLORINDICATOR

See Also:
  - Constant Field Values

### IT8BKGCOLORINDICATOR

public static final int IT8BKGCOLORINDICATOR

See Also:
  - Constant Field Values

### IT8IMAGECOLORVALUE

public static final int IT8IMAGECOLORVALUE

See Also:
  - Constant Field Values

### IT8BKGCOLORVALUE

public static final int IT8BKGCOLORVALUE

See Also:
  - Constant Field Values

### IT8PIXELINTENSITYRANGE

public static final int IT8PIXELINTENSITYRANGE

See Also:
  - Constant Field Values

### IT8TRANSPARENCYINDICATOR

public static final int IT8TRANSPARENCYINDICATOR

See Also:
  - Constant Field Values

### IT8COLORCHARACTERIZATION

public static final int IT8COLORCHARACTERIZATION

See Also:
  - Constant Field Values

### IT8HCUSAGE

public static final int IT8HCUSAGE

See Also:
  - Constant Field Values

### IT8TRAPINDICATOR

public static final int IT8TRAPINDICATOR

See Also:
  - Constant Field Values

### IT8CMYKEQUIVALENT

public static final int IT8CMYKEQUIVALENT

See Also:
  - Constant Field Values

### FRAMECOUNT

public static final int FRAMECOUNT

See Also:
  - Constant Field Values

### PHOTOSHOP

public static final int PHOTOSHOP

See Also:
  - Constant Field Values

### EXIFIFD

public static final int EXIFIFD

See Also:
  - Constant Field Values

### ICCPROFILE

public static final int ICCPROFILE

See Also:
  - Constant Field Values

### IMAGELAYER

public static final int IMAGELAYER

See Also:
  - Constant Field Values

### JBIGOPTIONS

public static final int JBIGOPTIONS

See Also:
  - Constant Field Values

### GPSIFD

public static final int GPSIFD

See Also:
  - Constant Field Values

### FAXRECVPARAMS

public static final int FAXRECVPARAMS

See Also:
  - Constant Field Values

### FAXSUBADDRESS

public static final int FAXSUBADDRESS

See Also:
  - Constant Field Values

### FAXRECVTIME

public static final int FAXRECVTIME

See Also:
  - Constant Field Values

### FAXDCS

public static final int FAXDCS

See Also:
  - Constant Field Values

### STONITS

public static final int STONITS

See Also:
  - Constant Field Values

### FEDEX_EDR

public static final int FEDEX_EDR

See Also:
  - Constant Field Values

### INTEROPERABILITYIFD

public static final int INTEROPERABILITYIFD

See Also:
  - Constant Field Values

### DNGVERSION

public static final int DNGVERSION

See Also:
  - Constant Field Values

### DNGBACKWARDVERSION

public static final int DNGBACKWARDVERSION

See Also:
  - Constant Field Values

### UNIQUECAMERAMODEL

public static final int UNIQUECAMERAMODEL

See Also:
  - Constant Field Values

### LOCALIZEDCAMERAMODEL

public static final int LOCALIZEDCAMERAMODEL

See Also:
  - Constant Field Values

### CFAPLANECOLOR

public static final int CFAPLANECOLOR

See Also:
  - Constant Field Values

### CFALAYOUT

public static final int CFALAYOUT

See Also:
  - Constant Field Values

### LINEARIZATIONTABLE

public static final int LINEARIZATIONTABLE

See Also:
  - Constant Field Values

### BLACKLEVELREPEATDIM

public static final int BLACKLEVELREPEATDIM

See Also:
  - Constant Field Values

### BLACKLEVEL

public static final int BLACKLEVEL

See Also:
  - Constant Field Values

### BLACKLEVELDELTAH

public static final int BLACKLEVELDELTAH

See Also:
  - Constant Field Values

### BLACKLEVELDELTAV

public static final int BLACKLEVELDELTAV

See Also:
  - Constant Field Values

### WHITELEVEL

public static final int WHITELEVEL

See Also:
  - Constant Field Values

### DEFAULTSCALE

public static final int DEFAULTSCALE

See Also:
  - Constant Field Values

### DEFAULTCROPORIGIN

public static final int DEFAULTCROPORIGIN

See Also:
  - Constant Field Values

### DEFAULTCROPSIZE

public static final int DEFAULTCROPSIZE

See Also:
  - Constant Field Values

### COLORMATRIX1

public static final int COLORMATRIX1

See Also:
  - Constant Field Values

### COLORMATRIX2

public static final int COLORMATRIX2

See Also:
  - Constant Field Values

### CAMERACALIBRATION1

public static final int CAMERACALIBRATION1

See Also:
  - Constant Field Values

### CAMERACALIBRATION2

public static final int CAMERACALIBRATION2

See Also:
  - Constant Field Values

### REDUCTIONMATRIX1

public static final int REDUCTIONMATRIX1

See Also:
  - Constant Field Values

### REDUCTIONMATRIX2

public static final int REDUCTIONMATRIX2

See Also:
  - Constant Field Values

### ANALOGBALANCE

public static final int ANALOGBALANCE

See Also:
  - Constant Field Values

### ASSHOTNEUTRAL

public static final int ASSHOTNEUTRAL

See Also:
  - Constant Field Values

### ASSHOTWHITEXY

public static final int ASSHOTWHITEXY

See Also:
  - Constant Field Values

### BASELINEEXPOSURE

public static final int BASELINEEXPOSURE

See Also:
  - Constant Field Values

### BASELINENOISE

public static final int BASELINENOISE

See Also:
  - Constant Field Values

### BASELINESHARPNESS

public static final int BASELINESHARPNESS

See Also:
  - Constant Field Values

### BAYERGREENSPLIT

public static final int BAYERGREENSPLIT

See Also:
  - Constant Field Values

### LINEARRESPONSELIMIT

public static final int LINEARRESPONSELIMIT

See Also:
  - Constant Field Values

### CAMERASERIALNUMBER

public static final int CAMERASERIALNUMBER

See Also:
  - Constant Field Values

### LENSINFO

public static final int LENSINFO

See Also:
  - Constant Field Values

### CHROMABLURRADIUS

public static final int CHROMABLURRADIUS

See Also:
  - Constant Field Values

### ANTIALIASSTRENGTH

public static final int ANTIALIASSTRENGTH

See Also:
  - Constant Field Values

### SHADOWSCALE

public static final int SHADOWSCALE

See Also:
  - Constant Field Values

### DNGPRIVATEDATA

public static final int DNGPRIVATEDATA

See Also:
  - Constant Field Values

### MAKERNOTESAFETY

public static final int MAKERNOTESAFETY

See Also:
  - Constant Field Values

### CALIBRATIONILLUMINANT1

public static final int CALIBRATIONILLUMINANT1

See Also:
  - Constant Field Values

### CALIBRATIONILLUMINANT2

public static final int CALIBRATIONILLUMINANT2

See Also:
  - Constant Field Values

### BESTQUALITYSCALE

public static final int BESTQUALITYSCALE

See Also:
  - Constant Field Values

### RAWDATAUNIQUEID

public static final int RAWDATAUNIQUEID

See Also:
  - Constant Field Values

### ORIGINALRAWFILENAME

public static final int ORIGINALRAWFILENAME

See Also:
  - Constant Field Values

### ORIGINALRAWFILEDATA

public static final int ORIGINALRAWFILEDATA

See Also:
  - Constant Field Values

### ACTIVEAREA

public static final int ACTIVEAREA

See Also:
  - Constant Field Values

### MASKEDAREAS

public static final int MASKEDAREAS

See Also:
  - Constant Field Values

### ASSHOTICCPROFILE

public static final int ASSHOTICCPROFILE

See Also:
  - Constant Field Values

### ASSHOTPREPROFILEMATRIX

public static final int ASSHOTPREPROFILEMATRIX

See Also:
  - Constant Field Values

### CURRENTICCPROFILE

public static final int CURRENTICCPROFILE

See Also:
  - Constant Field Values

### CURRENTPREPROFILEMATRIX

public static final int CURRENTPREPROFILEMATRIX

See Also:
  - Constant Field Values

### DCSHUESHIFTVALUES

public static final int DCSHUESHIFTVALUES

See Also:
  - Constant Field Values

### descriptions

public static TIFFTags.Description[] descriptions

## Constructor Details

### TIFFTags

public TIFFTags()

## Method Details

### getDescription

public static String getDescription(int tag)